### Virtual Method

# Gtk AccessibleText get_selection

since: 4.14

#### Declaration [src]

    gboolean
    get_selection (
      GtkAccessibleText* self,
      gsize* n_ranges,
      GtkAccessibleTextRange** ranges
    )

#### Description [src]

Retrieves the selection ranges in the accessible object.

If this function returns true, `n_ranges` will be set to a value greater than or equal to one, and `ranges` will be set to a newly allocated array of [struct#Gtk.AccessibleTextRange].

Available since: 4.14

#### Parameters

`n_ranges`

  Type: `gsize*`

  The number of selection ranges.

  The argument will be set by the function.

`ranges`

  Type: An array of `GtkAccessibleTextRange*`

  The selection ranges.

  The argument will be set by the function.
  The argument can be `NULL`.
  The length of the array is specified in the `n_ranges` argument.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

#### Return value

Type: `gboolean`

True if there is at least a selection inside the accessible object, and false otherwise.